/*
 *  Copyright (C) 1998  Luca Deri <deri@unipi.it>
 *                      Stefano Suin <stefano@unipi.it>
 *                      
 * 			Centro SERRA, University of Pisa
 * 			http://www-serra.unipi.it/
 *  					
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "ntop.h"

/*
*********************************************************
 * 
 * The information contained in this file 
 * has been provided by Ethernet-codes@Cavebear.com.
 *
 * Courtesy of "William R. McDonough" <wrmcd@wilmcd.com>.
 *
 * ******************************************************
 */

typedef struct {
  unsigned long vendorId;
  char* vendorName;
} VendorInfo;

static VendorInfo vendorInfo[] = {
  { 0x000001, "SuperLAN-2U" },
  { 0x000002, "BBN&nbsp;(was&nbsp;internal&nbsp;usage&nbsp;only,&nbsp;no&nbsp;longer&nbsp;used)" },
  { 0x000009, "powerpipes?" },
  { 0x00000C, "Cisco" },
  { 0x00000E, "Fujitsu" },
  { 0x00000F, "NeXT" },
  { 0x000010, "Hughes&nbsp;LAN&nbsp;Systems&nbsp;(formerly&nbsp;Sytek)" },
  { 0x000011, "Tektronix" },
  { 0x000015, "Datapoint&nbsp;Corporation" },
  { 0x000018, "Webster&nbsp;Computer&nbsp;Corporation,&nbsp;Appletalk/Ethernet&nbsp;Gateway" },
  { 0x00001A, "AMD&nbsp;(?)" },
  { 0x00001B, "Novell&nbsp;(now&nbsp;Eagle&nbsp;Technology)" },
  { 0x00001C, "JDR&nbsp;Microdevices,&nbsp;generic,&nbsp;NE2000&nbsp;drivers" },
  { 0x00001D, "Cabletron" },
  { 0x00001F, "Cryptall&nbsp;Communications&nbsp;Corp." },
  { 0x000020, "DIAB&nbsp;(Data&nbsp;Intdustrier&nbsp;AB)" },
  { 0x000021, "SC&C&nbsp;(PAM&nbsp;Soft&Hardware&nbsp;also&nbsp;reported)" },
  { 0x000022, "Visual&nbsp;Technology" },
  { 0x000023, "ABB&nbsp;Automation&nbsp;AB,&nbsp;Dept.&nbsp;Q" },
  { 0x000024, "Olicom" },
  { 0x000029, "IMC" },
  { 0x00002A, "TRW" },
  { 0x00002C, "NRC&nbsp;-&nbsp;Network&nbsp;Resources&nbsp;Corporation&nbsp;-&nbsp;MultiGate&nbsp;Hub1+,&nbsp;Hub2,&nbsp;etc" },
  { 0x000032, "GPT&nbsp;Limited&nbsp;(reassigned&nbsp;from&nbsp;GEC&nbsp;Computers&nbsp;Ltd)" },
  { 0x000037, "Oxford&nbsp;Metrics&nbsp;Ltd" },
  { 0x00003B, "Hyundai/Axil&nbsp;Sun&nbsp;clones" },
  { 0x00003C, "Auspex" },
  { 0x00003D, "AT&T" },
  { 0x00003F, "Syntrex&nbsp;Inc" },
  { 0x000044, "Castelle" },
  { 0x000046, "ISC-Bunker&nbsp;Ramo,&nbsp;An&nbsp;Olivetti&nbsp;Company" },
  { 0x000048, "Epson" },
  { 0x000049, "Apricot&nbsp;Ltd." },
  { 0x00004B, "APT-ICL&nbsp;also&nbsp;reported" },
  { 0x00004C, "NEC&nbsp;Corporation" },
  { 0x00004F, "Logicraft&nbsp;386-Ware&nbsp;P.C.&nbsp;Emulator" },
  { 0x000051, "Hob&nbsp;Electronic&nbsp;Gmbh&nbsp;&&nbsp;Co.&nbsp;KG" },
  { 0x000052, "Optical&nbsp;Data&nbsp;Systems" },
  { 0x000055, "AT&T" },
  { 0x000058, "Racore&nbsp;Computer&nbsp;Products&nbsp;Inc" },
  { 0x00005A, "SK&nbsp;(Schneider&nbsp;&&nbsp;Koch&nbsp;in&nbsp;Europe&nbsp;and&nbsp;Syskonnect&nbsp;outside&nbsp;of&nbsp;Europe)" },
  { 0x00005A, "Xerox&nbsp;806&nbsp;(unregistered)" },
  { 0x00005B, "Eltec" },
  { 0x00005D, "RCE" },
  { 0x00005E, "U.S.&nbsp;Department&nbsp;of&nbsp;Defense&nbsp;(IANA)" },
  { 0x00005F, "Sumitomo" },
  { 0x000061, "Gateway&nbsp;Communications" },
  { 0x000062, "Honeywell" },
  { 0x000063, "Hewlett-Packard,&nbsp;LanProbe" },
  { 0x000064, "Yokogawa&nbsp;Digital&nbsp;Computer&nbsp;Corp" },
  { 0x000065, "Network&nbsp;General" },
  { 0x000066, "Talaris" },
  { 0x000068, "Rosemount&nbsp;Controls" },
  { 0x000069, "Concord&nbsp;Communications,&nbsp;Inc&nbsp;(although&nbsp;someone&nbsp;said&nbsp;Silicon&nbsp;Graphics)" },
  { 0x00006B, "MIPS" },
  { 0x00006D, "Case" },
  { 0x00006E, "Artisoft,&nbsp;Inc." },
  { 0x00006F, "Madge&nbsp;Networks&nbsp;Ltd.,&nbsp;Token-ring&nbsp;adapters" },
  { 0x000073, "DuPont" },
  { 0x000075, "Bell&nbsp;Northern&nbsp;Research&nbsp;(BNR)" },
  { 0x000077, "Interphase,&nbsp;[Used&nbsp;in&nbsp;other&nbsp;systems,&nbsp;e.g.&nbsp;MIPS,&nbsp;Motorola]" },
  { 0x000078, "Labtam&nbsp;Australia" },
  { 0x000079, "Networth&nbsp;Incorporated,&nbsp;[bought&nbsp;by&nbsp;Compaq,&nbsp;used&nbsp;in&nbsp;Netelligent&nbsp;series]" },
  { 0x00007A, "Ardent" },
  { 0x00007B, "Research&nbsp;Machines" },
  { 0x00007D, "Cray&nbsp;Research&nbsp;Superservers,Inc,&nbsp;[Also&nbsp;Harris&nbsp;(3M)&nbsp;(old)]" },
  { 0x00007E, "NetFRAME&nbsp;multiprocessor&nbsp;network&nbsp;servers" },
  { 0x00007F, "Linotype-Hell&nbsp;AG,&nbsp;Linotronic&nbsp;typesetters" },
  { 0x000080, "Cray&nbsp;Communications" },
  { 0x000081, "Synoptics" },
  { 0x000083, "Olicom" },
  { 0x000084, "Aquila&nbsp;(?),&nbsp;ADI&nbsp;Systems&nbsp;Inc.(?)" },
  { 0x000086, "Gateway&nbsp;Communications&nbsp;Inc.&nbsp;(then&nbsp;Megahertz&nbsp;&&nbsp;now&nbsp;3com)" },
  { 0x000087, "Hitachi" },
  { 0x000089, "Cayman&nbsp;Systems&nbsp;Gatorbox" },
  { 0x00008A, "Datahouse&nbsp;Information&nbsp;Systems" },
  { 0x00008E, "Solbourne(?),&nbsp;Jupiter(?)&nbsp;(I've&nbsp;had&nbsp;confirming&nbsp;mail&nbsp;on&nbsp;Solbourne)" },
  { 0x000092, "Unisys,&nbsp;Cogent&nbsp;(both&nbsp;reported)" },
  { 0x000093, "Proteon" },
  { 0x000094, "Asante&nbsp;MAC" },
  { 0x000095, "Sony/Tektronix" },
  { 0x000097, "Epoch" },
  { 0x000098, "Cross&nbsp;Com" },
  { 0x000099, "Memorex&nbsp;Telex&nbsp;Corporations" },
  { 0x00009F, "Ameristar&nbsp;Technology" },
  { 0x0000A0, "Sanyo&nbsp;Electronics" },
  { 0x0000A2, "Wellfleet" },
  { 0x0000A3, "Network&nbsp;Application&nbsp;Technology&nbsp;(NAT)" },
  { 0x0000A4, "Acorn" },
  { 0x0000A5, "Compatible&nbsp;Systems&nbsp;Corporation" },
  { 0x0000A6, "Network&nbsp;General&nbsp;(internal&nbsp;assignment,&nbsp;not&nbsp;for&nbsp;products)" },
  { 0x0000A7, "Network&nbsp;Computing&nbsp;Devices&nbsp;(NCD)&nbsp;X-terminals" },
  { 0x0000A8, "Stratus&nbsp;Computer,&nbsp;Inc." },
  { 0x0000A9, "Network&nbsp;Systems" },
  { 0x0000AA, "Xerox&nbsp;Xerox&nbsp;machines" },
  { 0x0000AC, "Conware&nbsp;Netzpartner,&nbsp;[had&nbsp;Apollo,&nbsp;claimed&nbsp;incorrect]" },
  { 0x0000AE, "Dassault&nbsp;Automatismes&nbsp;et&nbsp;Telecommunications" },
  { 0x0000AF, "Nuclear&nbsp;Data&nbsp;Acquisition&nbsp;Interface&nbsp;Modules&nbsp;(AIM)" },
  { 0x0000B0, "RND&nbsp;(RAD&nbsp;Network&nbsp;Devices)" },
  { 0x0000B1, "Alpha&nbsp;Microsystems&nbsp;Inc." },
  { 0x0000B3, "CIMLinc" },
  { 0x0000B4, "Edimax" },
  { 0x0000B5, "Datability&nbsp;Terminal&nbsp;Servers" },
  { 0x0000B6, "Micro-matic&nbsp;Research" },
  { 0x0000B7, "Dove&nbsp;Fastnet" },
  { 0x0000BB, "TRI-DATA&nbsp;Systems&nbsp;Inc.,&nbsp;Netway&nbsp;products,&nbsp;3274&nbsp;emulators" },
  { 0x0000BC, "Allen-Bradley" },
  { 0x0000C0, "Western&nbsp;Digital&nbsp;now&nbsp;SMC&nbsp;(Std.&nbsp;Microsystems&nbsp;Corp.)" },
  { 0x0000C1, "Olicom&nbsp;A/S" },
  { 0x0000C5, "Farallon&nbsp;Computing&nbsp;Inc" },
  { 0x0000C6, "HP&nbsp;Intelligent&nbsp;Networks&nbsp;Operation&nbsp;(formerly&nbsp;Eon&nbsp;Systems)" },
  { 0x0000C8, "Altos" },
  { 0x0000C9, "Emulex&nbsp;Terminal&nbsp;Servers,&nbsp;Print&nbsp;Servers" },
  { 0x0000CA, "LANcity&nbsp;Cable&nbsp;Modems&nbsp;(now&nbsp;owned&nbsp;by&nbsp;BayNetworks)" },
  { 0x0000CC, "Densan&nbsp;Co.,&nbsp;Ltd." },
  { 0x0000CD, "Industrial&nbsp;Research&nbsp;Limited" },
  { 0x0000D0, "Develcon&nbsp;Electronics,&nbsp;Ltd." },
  { 0x0000D1, "Adaptec,&nbsp;Inc.&nbsp;Nodem&nbsp;product" },
  { 0x0000D2, "SBE&nbsp;Inc" },
  { 0x0000D3, "Wang&nbsp;Labs" },
  { 0x0000D4, "PureData" },
  { 0x0000D7, "Dartmouth&nbsp;College&nbsp;(NED&nbsp;Router)" },
  { 0x0000D8, "old&nbsp;Novell&nbsp;NE1000's&nbsp;(before&nbsp;about&nbsp;1987?)&nbsp;(also&nbsp;3Com)" },
  { 0x0000DD, "Gould" },
  { 0x0000DE, "Unigraph" },
  { 0x0000E1, "Hitachi&nbsp;(laptop&nbsp;built-in)" },
  { 0x0000E2, "Acer&nbsp;Counterpoint" },
  { 0x0000E3, "Integrated&nbsp;Micro&nbsp;Products&nbsp;Ltd" },
  { 0x0000E4, "mips?" },
  { 0x0000E6, "Aptor&nbsp;Produits&nbsp;De&nbsp;Comm&nbsp;Indust" },
  { 0x0000E8, "Accton&nbsp;Technology&nbsp;Corporation" },
  { 0x0000E9, "ISICAD,&nbsp;Inc." },
  { 0x0000ED, "April" },
  { 0x0000EE, "Network&nbsp;Designers&nbsp;Limited&nbsp;[also&nbsp;KNX&nbsp;Ltd,&nbsp;a&nbsp;former&nbsp;division]" },
  { 0x0000EF, "Alantec&nbsp;(now&nbsp;owned&nbsp;by&nbsp;ForeSystems)" },
  { 0x0000F0, "Samsung" },
  { 0x0000F2, "Spider&nbsp;Communications,&nbsp;(Montreal,&nbsp;not&nbsp;Spider&nbsp;Systems)" },
  { 0x0000F3, "Gandalf&nbsp;Data&nbsp;Ltd.&nbsp;-&nbsp;Canada" },
  { 0x0000F4, "Allied&nbsp;Telesis,&nbsp;Inc." },
  { 0x0000F6, "A.M.C.&nbsp;(Applied&nbsp;Microsystems&nbsp;Corp.)" },
  { 0x0000F8, "DEC" },
  { 0x0000FB, "Rechner&nbsp;zur&nbsp;Kommunikation" },
  { 0x0000FD, "High&nbsp;Level&nbsp;Hardware&nbsp;(Orion,&nbsp;UK)" },
  { 0x0000FF, "Camtec&nbsp;Electronics&nbsp;(UK)&nbsp;Ltd." },
  { 0x000102, "BBN&nbsp;internal&nbsp;usage&nbsp;(not&nbsp;registered)" },
  { 0x000143, "IEEE&nbsp;802" },
  { 0x000150, "Megahertz&nbsp;(now&nbsp;3com)&nbsp;modem" },
  { 0x000163, "NDC&nbsp;(National&nbsp;Datacomm&nbsp;Corporation)" },
  { 0x000168, "W&G&nbsp;(Wandel&nbsp;&&nbsp;Goltermann)&nbsp;[incorrect&nbsp;according&nbsp;to&nbsp;W&G]" },
  { 0x0001C8, "Thomas&nbsp;Conrad&nbsp;Corp." },
  { 0x0001FA, "Compaq&nbsp;(PageMarq&nbsp;printers)" },
  { 0x000204, "Novell&nbsp;NE3200" },
  { 0x000205, "Hamilton&nbsp;(Sparc&nbsp;Clones)" },
  { 0x000216, "ESI&nbsp;(Extended&nbsp;Systems,&nbsp;Inc)&nbsp;print&nbsp;servers" },
  { 0x000288, "Global&nbsp;Village&nbsp;(PCcard&nbsp;in&nbsp;Mac&nbsp;portable)" },
  { 0x0003C6, "Morning&nbsp;Star&nbsp;Technologies&nbsp;Inc" },
  { 0x000400, "Lexmark&nbsp;(Print&nbsp;Server)" },
  { 0x0004AC, "IBM&nbsp;PCMCIA&nbsp;Ethernet&nbsp;adapter." },
  { 0x000502, "Apple&nbsp;(PCI&nbsp;bus&nbsp;Macs)" },
  { 0x00059A, "PowerComputing&nbsp;(Mac&nbsp;clone)" },
  { 0x0005A8, "PowerComputing&nbsp;Mac&nbsp;clones" },
  { 0x00060D, "Hewlett-Packard&nbsp;JetDirect&nbsp;token-ring&nbsp;interfaces" },
  { 0x000629, "IBM&nbsp;RISC6000&nbsp;system" },
  { 0x00067C, "Cisco" },
  { 0x0006C1, "Cisco" },
  { 0x000701, "Racal-Datacom" },
  { 0x00070D, "Cisco&nbsp;2511&nbsp;Token&nbsp;Ring" },
  { 0x000852, "Technically&nbsp;Elite&nbsp;Concepts" },
  { 0x000855, "Fermilab" },
  { 0x0008C7, "Compaq" },
  { 0x00100B, "Cisco&nbsp;Systems&nbsp;Catalyst&nbsp;2924-XL" },
  { 0x00100D, "Cisco&nbsp;Systems&nbsp;Catalyst&nbsp;2924-XL" },
  { 0x001011, "Cisco&nbsp;Systems&nbsp;Cisco&nbsp;75xx" },
  { 0x00101F, "Cisco&nbsp;Systems&nbsp;Catalyst&nbsp;2901" },
  { 0x00102F, "Cisco&nbsp;Systems&nbsp;Cisco&nbsp;5000" },
  { 0x00104B, "3Com&nbsp;3C905-TX&nbsp;PCI" },
  { 0x00105A, "3Com&nbsp;Fast&nbsp;Etherlink&nbsp;XL&nbsp;in&nbsp;a&nbsp;Gateway&nbsp;2000" },
  { 0x001079, "Cisco&nbsp;5500&nbsp;Router" },
  { 0x00107A, "Ambicom&nbsp;(was&nbsp;Tandy?)" },
  { 0x00107B, "Cisco&nbsp;Systems" },
  { 0x0010A4, "Xircom&nbsp;RealPort&nbsp;10/100&nbsp;PC&nbsp;Card" },
  { 0x0010A6, "Cisco" },
  { 0x0010D7, "Argosy&nbsp;EN&nbsp;220&nbsp;Fast&nbsp;Ethernet&nbsp;PCMCIA" },
  { 0x0010F6, "Cisco" },
  { 0x001700, "Kabel" },
  { 0x002000, "Lexmark&nbsp;(Print&nbsp;Server)" },
  { 0x002005, "simpletech" },
  { 0x002008, "Cable&nbsp;&&nbsp;Computer&nbsp;Technology" },
  { 0x00200C, "Adastra&nbsp;Systems&nbsp;Corp" },
  { 0x002011, "Canopus&nbsp;Co&nbsp;Ltd" },
  { 0x002017, "Orbotech" },
  { 0x002018, "Realtek" },
  { 0x00201A, "Nbase" },
  { 0x002025, "Control&nbsp;Technology&nbsp;Inc&nbsp;(Industrial&nbsp;Controls&nbsp;and&nbsp;Network&nbsp;Interfaces)" },
  { 0x002028, "Bloomberg" },
  { 0x00202B, "ATML&nbsp;(Advanced&nbsp;Telecommunications&nbsp;Modules,&nbsp;Ltd.)" },
  { 0x002035, "IBM&nbsp;-&nbsp;mainframes,&nbsp;Etherjet&nbsp;printers" },
  { 0x002036, "BMC&nbsp;Software" },
  { 0x002042, "Datametrics&nbsp;Corp" },
  { 0x002045, "SolCom&nbsp;Systems&nbsp;Limited" },
  { 0x002048, "Fore&nbsp;Systems&nbsp;Inc" },
  { 0x00204B, "Autocomputer&nbsp;Co&nbsp;Ltd" },
  { 0x00204C, "Mitron&nbsp;Computer&nbsp;Pte&nbsp;Ltd" },
  { 0x002056, "Neoproducts" },
  { 0x002061, "Dynatech&nbsp;Communications&nbsp;Inc" },
  { 0x002063, "Wipro&nbsp;Infotech&nbsp;Ltd" },
  { 0x002066, "General&nbsp;Magic&nbsp;Inc" },
  { 0x002067, "Node&nbsp;Runner&nbsp;Inc" },
  { 0x00206B, "Minolta&nbsp;Co.,&nbsp;Ltd,&nbsp;Network&nbsp;printers" },
  { 0x002078, "Runtop&nbsp;Inc" },
  { 0x002085, "3COM&nbsp;SuperStack&nbsp;II&nbsp;UPS&nbsp;management&nbsp;module" },
  { 0x00208A, "Sonix&nbsp;Communications&nbsp;Ltd" },
  { 0x00208B, "Focus&nbsp;Enhancements" },
  { 0x00208C, "Galaxy&nbsp;Networks&nbsp;Inc" },
  { 0x002094, "Cubix&nbsp;Corporation" },
  { 0x0020A5, "Newer&nbsp;Technology" },
  { 0x0020A6, "Proxim&nbsp;Inc" },
  { 0x0020AF, "3COM&nbsp;Corporation" },
  { 0x0020B6, "Agile&nbsp;Networks&nbsp;Inc" },
  { 0x0020B9, "Metricom,&nbsp;Inc." },
  { 0x0020C5, "Eagle&nbsp;NE2000" },
  { 0x0020C6, "NECTEC" },
  { 0x0020D0, "Versalynx&nbsp;Corp.&nbsp;The&nbsp;One&nbsp;Port&nbsp;terminal&nbsp;server" },
  { 0x0020D2, "RAD&nbsp;Data&nbsp;Communications&nbsp;Ltd" },
  { 0x0020D3, "OST&nbsp;(Ouet&nbsp;Standard&nbsp;Telematique)" },
  { 0x0020D8, "NetWave" },
  { 0x0020DA, "Xylan" },
  { 0x0020DC, "Densitron&nbsp;Taiwan&nbsp;Ltd" },
  { 0x0020E0, "PreMax&nbsp;PE-200&nbsp;(PCMCIA&nbsp;NE2000-clone&nbsp;card,&nbsp;sold&nbsp;by&nbsp;InfoExpress)" },
  { 0x0020E5, "Apex&nbsp;Data" },
  { 0x0020EE, "Gtech&nbsp;Corporation" },
  { 0x0020F6, "Net&nbsp;Tek&nbsp;&&nbsp;Karlnet&nbsp;Inc" },
  { 0x0020F8, "Carrera&nbsp;Computers&nbsp;Inc" },
  { 0x0020FC, "Matrox" },
  { 0x004001, "Zero&nbsp;One&nbsp;Technology&nbsp;Co&nbsp;Ltd&nbsp;(ZyXEL?)" },
  { 0x004005, "TRENDware&nbsp;International&nbsp;Inc.;&nbsp;Linksys;&nbsp;Simple&nbsp;Net;&nbsp;all&nbsp;three&nbsp;reported" },
  { 0x004009, "Tachibana&nbsp;Tectron&nbsp;Co&nbsp;Ltd" },
  { 0x00400B, "Crescendo&nbsp;(now&nbsp;owned&nbsp;by&nbsp;Cisco)" },
  { 0x00400C, "General&nbsp;Micro&nbsp;Systems,&nbsp;Inc." },
  { 0x00400D, "LANNET&nbsp;Data&nbsp;Communications" },
  { 0x004010, "Sonic&nbsp;Mac&nbsp;Ethernet&nbsp;interfaces" },
  { 0x004011, "Facilities&nbsp;Andover&nbsp;Environmental&nbsp;Controllers" },
  { 0x004013, "NTT&nbsp;Data&nbsp;Communication&nbsp;Systems&nbsp;Corp" },
  { 0x004014, "Comsoft&nbsp;Gmbh" },
  { 0x004015, "Ascom" },
  { 0x004017, "XCd&nbsp;XJet&nbsp;-&nbsp;HP&nbsp;printer&nbsp;server&nbsp;card" },
  { 0x00401C, "AST&nbsp;Pentium/90&nbsp;PC&nbsp;(emulating&nbsp;AMD&nbsp;EISA&nbsp;card)" },
  { 0x00401F, "Colorgraph&nbsp;Ltd" },
  { 0x004020, "Pilkington&nbsp;Communication" },
  { 0x004023, "Logic&nbsp;Corporation" },
  { 0x004025, "Molecular&nbsp;Dynamics" },
  { 0x004026, "Melco&nbsp;Inc" },
  { 0x004027, "SMC&nbsp;Massachusetts" },
  { 0x004028, "Netcomm" },
  { 0x00402A, "Canoga-Perkins" },
  { 0x00402B, "TriGem" },
  { 0x00402F, "Xlnt&nbsp;Designs&nbsp;Inc&nbsp;(XDI)" },
  { 0x004030, "GK&nbsp;Computer" },
  { 0x004032, "Digital&nbsp;Communications" },
  { 0x004033, "Addtron&nbsp;Technology&nbsp;Co.,&nbsp;Ltd." },
  { 0x004036, "TribeStar" },
  { 0x004039, "Optec&nbsp;Daiichi&nbsp;Denko&nbsp;Co&nbsp;Ltd" },
  { 0x00403C, "Forks,&nbsp;Inc." },
  { 0x004041, "Fujikura&nbsp;Ltd." },
  { 0x004043, "Nokia&nbsp;Data&nbsp;Communications" },
  { 0x004048, "SMD&nbsp;Informatica&nbsp;S.A." },
  { 0x00404C, "Hypertec&nbsp;Pty&nbsp;Ltd." },
  { 0x00404D, "Telecomm&nbsp;Techniques" },
  { 0x00404F, "Space&nbsp;&&nbsp;Naval&nbsp;Warfare&nbsp;Systems" },
  { 0x004050, "Ironics,&nbsp;Incorporated" },
  { 0x004052, "Star&nbsp;Technologies&nbsp;Inc" },
  { 0x004053, "Datum&nbsp;[Bancomm&nbsp;Division]&nbsp;TymServe&nbsp;2000" },
  { 0x004054, "Thinking&nbsp;Machines&nbsp;Corporation" },
  { 0x004057, "Lockheed-Sanders" },
  { 0x004059, "Yoshida&nbsp;Kogyo&nbsp;K.K." },
  { 0x00405B, "Funasset&nbsp;Limited" },
  { 0x00405D, "Star-Tek&nbsp;Inc" },
  { 0x004066, "Hitachi&nbsp;Cable,&nbsp;Ltd." },
  { 0x004067, "Omnibyte&nbsp;Corporation" },
  { 0x004068, "Extended&nbsp;Systems" },
  { 0x004069, "Lemcom&nbsp;Systems&nbsp;Inc" },
  { 0x00406A, "Kentek&nbsp;Information&nbsp;Systems&nbsp;Inc" },
  { 0x00406E, "Corollary,&nbsp;Inc." },
  { 0x00406F, "Sync&nbsp;Research&nbsp;Inc" },
  { 0x004072, "Applied&nbsp;Innovation" },
  { 0x004074, "Cable&nbsp;and&nbsp;Wireless" },
  { 0x004076, "AMP&nbsp;Incorporated" },
  { 0x004078, "Wearnes&nbsp;Automation&nbsp;Pte&nbsp;Ltd" },
  { 0x00407F, "Agema&nbsp;Infrared&nbsp;Systems&nbsp;AB" },
  { 0x004082, "Laboratory&nbsp;Equipment&nbsp;Corp" },
  { 0x004085, "SAAB&nbsp;Instruments&nbsp;AB" },
  { 0x004086, "Michels&nbsp;&&nbsp;Kleberhoff&nbsp;Computer" },
  { 0x004087, "Ubitrex&nbsp;Corporation" },
  { 0x004088, "Mobuis&nbsp;NuBus&nbsp;(Mac)&nbsp;combination&nbsp;video/EtherTalk" },
  { 0x00408A, "TPS&nbsp;Teleprocessing&nbsp;Sys.&nbsp;Gmbh" },
  { 0x00408C, "Axis&nbsp;Communications&nbsp;AB" },
  { 0x00408E, "CXR/Digilog" },
  { 0x00408F, "WM-Data&nbsp;Minfo&nbsp;AB" },
  { 0x004090, "Ansel&nbsp;Communications&nbsp;-&nbsp;PC&nbsp;NE2000&nbsp;compatible&nbsp;twisted-pair&nbsp;ethernet&nbsp;cards" },
  { 0x004091, "Procomp&nbsp;Industria&nbsp;Eletronica" },
  { 0x004092, "ASP&nbsp;Computer&nbsp;Products,&nbsp;Inc." },
  { 0x004094, "Shographics&nbsp;Inc" },
  { 0x004095, "Eagle&nbsp;Technologies&nbsp;[UMC&nbsp;also&nbsp;reported]" },
  { 0x004096, "Telesystems&nbsp;SLW&nbsp;Inc" },
  { 0x00409A, "Network&nbsp;Express&nbsp;Inc" },
  { 0x00409C, "Transware" },
  { 0x00409D, "DigiBoard,&nbsp;Ethernet-ISDN&nbsp;bridges" },
  { 0x00409E, "Concurrent&nbsp;Technologies&nbsp;Ltd." },
  { 0x00409F, "Lancast/Casat&nbsp;Technology&nbsp;Inc" },
  { 0x0040A4, "Rose&nbsp;Electronics" },
  { 0x0040A6, "Cray&nbsp;Research&nbsp;Inc." },
  { 0x0040AA, "Valmet&nbsp;Automation&nbsp;Inc" },
  { 0x0040AD, "SMA&nbsp;Regelsysteme&nbsp;Gmbh" },
  { 0x0040AE, "Delta&nbsp;Controls,&nbsp;Inc." },
  { 0x0040AF, "Digital&nbsp;Products,&nbsp;Inc.&nbsp;(DPI)." },
  { 0x0040B4, "3COM&nbsp;K.K." },
  { 0x0040B5, "Video&nbsp;Technology&nbsp;Computers&nbsp;Ltd" },
  { 0x0040B6, "Computerm&nbsp;Corporation" },
  { 0x0040B9, "MACQ&nbsp;Electronique&nbsp;SA" },
  { 0x0040BD, "Starlight&nbsp;Networks&nbsp;Inc" },
  { 0x0040C1, "Bizerba-Werke&nbsp;Wilheim&nbsp;Kraut" },
  { 0x0040C2, "Applied&nbsp;Computing&nbsp;Devices" },
  { 0x0040C3, "Fischer&nbsp;and&nbsp;Porter&nbsp;Co." },
  { 0x0040C5, "Micom&nbsp;Communications&nbsp;Corp." },
  { 0x0040C6, "Fibernet&nbsp;Research,&nbsp;Inc." },
  { 0x0040C7, "Danpex&nbsp;Corporation" },
  { 0x0040C8, "Milan&nbsp;Technology&nbsp;Corp." },
  { 0x0040CC, "Silcom&nbsp;Manufacturing&nbsp;Technology&nbsp;Inc" },
  { 0x0040CF, "Strawberry&nbsp;Tree&nbsp;Inc" },
  { 0x0040D0, "DEC/Compaq" },
  { 0x0040D2, "Pagine&nbsp;Corporation" },
  { 0x0040D4, "Gage&nbsp;Talker&nbsp;Corp." },
  { 0x0040D7, "Studio&nbsp;Gen&nbsp;Inc" },
  { 0x0040D8, "Ocean&nbsp;Office&nbsp;Automation&nbsp;Ltd" },
  { 0x0040DC, "Tritec&nbsp;Electronic&nbsp;Gmbh" },
  { 0x0040DF, "Digalog&nbsp;Systems,&nbsp;Inc." },
  { 0x0040E1, "Marner&nbsp;International&nbsp;Inc" },
  { 0x0040E2, "Mesa&nbsp;Ridge&nbsp;Technologies&nbsp;Inc" },
  { 0x0040E3, "Quin&nbsp;Systems&nbsp;Ltd" },
  { 0x0040E5, "Sybus&nbsp;Corporation" },
  { 0x0040E7, "Arnos&nbsp;Instruments&nbsp;&&nbsp;Computer" },
  { 0x0040E9, "Accord&nbsp;Systems,&nbsp;Inc." },
  { 0x0040EA, "PlainTree&nbsp;Systems&nbsp;Inc" },
  { 0x0040ED, "Network&nbsp;Controls&nbsp;International&nbsp;Inc" },
  { 0x0040F0, "Micro&nbsp;Systems&nbsp;Inc" },
  { 0x0040F1, "Chuo&nbsp;Electronics&nbsp;Co.,&nbsp;Ltd." },
  { 0x0040F4, "Cameo&nbsp;Communications,&nbsp;Inc." },
  { 0x0040F5, "OEM&nbsp;Engines" },
  { 0x0040F6, "Katron&nbsp;Computers&nbsp;Inc" },
  { 0x0040F9, "Combinet" },
  { 0x0040FA, "Microboards&nbsp;Inc" },
  { 0x0040FB, "Cascade&nbsp;Communications&nbsp;Corp." },
  { 0x0040FD, "LXE" },
  { 0x0040FF, "Telebit&nbsp;Corporation,&nbsp;Personal&nbsp;NetBlazer" },
  { 0x004854, "Digital&nbsp;SemiConductor,&nbsp;21143/2&nbsp;based&nbsp;10/100" },
  { 0x004F49, "Realtek" },
  { 0x004F4B, "Pine&nbsp;Technology&nbsp;Ltd." },
  { 0x00504D, "Repotec&nbsp;Group" },
  { 0x00504E, "UMC&nbsp;UM9008&nbsp;NE2000-compatible&nbsp;ISA&nbsp;Card&nbsp;for&nbsp;PC" },
  { 0x006008, "3Com&nbsp;3Com&nbsp;PCI&nbsp;form&nbsp;factor&nbsp;3C905&nbsp;TX&nbsp;board" },
  { 0x006009, "Cisco&nbsp;Catalyst&nbsp;5000&nbsp;Ethernet&nbsp;switch" },
  { 0x006025, "Active&nbsp;Imaging&nbsp;Inc." },
  { 0x00602F, "Cisco" },
  { 0x006030, "VillageTronic&nbsp;used&nbsp;on&nbsp;Amiga" },
  { 0x00603E, "Cisco&nbsp;100Mbps&nbsp;interface" },
  { 0x006047, "Cisco" },
  { 0x00604E, "Cycle&nbsp;Computer&nbsp;(Sun&nbsp;MotherBoard&nbsp;Replacements)" },
  { 0x006052, "Realtek&nbsp;(RTL&nbsp;8029&nbsp;==&nbsp;PCI&nbsp;NE2000)" },
  { 0x00605C, "Cisco" },
  { 0x006067, "Acer&nbsp;Lan" },
  { 0x006070, "Cisco&nbsp;routers&nbsp;(2524&nbsp;and&nbsp;4500)" },
  { 0x006083, "Cisco&nbsp;Systems,&nbsp;Inc.,&nbsp;3620/3640&nbsp;routers" },
  { 0x00608C, "3Com&nbsp;(1990&nbsp;onwards)" },
  { 0x006094, "AMD&nbsp;PCNET&nbsp;PCI" },
  { 0x006097, "3Com" },
  { 0x0060B0, "Hewlett-Packard" },
  { 0x008000, "Multitech&nbsp;Systems&nbsp;Inc" },
  { 0x008001, "Periphonics&nbsp;Corporation" },
  { 0x008004, "Antlow&nbsp;Computers,&nbsp;Ltd." },
  { 0x008005, "Cactus&nbsp;Computer&nbsp;Inc." },
  { 0x008006, "Compuadd&nbsp;Corporation" },
  { 0x008007, "Dlog&nbsp;NC-Systeme" },
  { 0x008009, "Jupiter&nbsp;Systems&nbsp;(older&nbsp;MX-600&nbsp;series&nbsp;machines)" },
  { 0x00800D, "Vosswinkel&nbsp;FU" },
  { 0x00800F, "SMC&nbsp;(Standard&nbsp;Microsystem&nbsp;Corp.)" },
  { 0x008010, "Commodore" },
  { 0x008012, "IMS&nbsp;Corp.&nbsp;IMS&nbsp;failure&nbsp;analysis&nbsp;tester" },
  { 0x008013, "Thomas&nbsp;Conrad&nbsp;Corp." },
  { 0x008015, "Seiko&nbsp;Systems&nbsp;Inc" },
  { 0x008016, "Wandel&nbsp;&&nbsp;Goltermann" },
  { 0x008017, "PFU" },
  { 0x008019, "Dayna&nbsp;Communications,&nbsp;Etherprint&nbsp;product" },
  { 0x00801A, "Bell&nbsp;Atlantic" },
  { 0x00801B, "Kodiak&nbsp;Technology" },
  { 0x00801C, "Cisco" },
  { 0x00801E, "AMD&nbsp;PCNET&nbsp;32&nbsp;PCI" },
  { 0x008021, "Newbridge&nbsp;Networks&nbsp;Corporation" },
  { 0x008023, "Integrated&nbsp;Business&nbsp;Networks" },
  { 0x008024, "Kalpana" },
  { 0x008026, "Network&nbsp;Products&nbsp;Corporation" },
  { 0x008029, "Microdyne&nbsp;Corporation" },
  { 0x00802A, "Test&nbsp;Systems&nbsp;&&nbsp;Simulations&nbsp;Inc" },
  { 0x00802C, "The&nbsp;Sage&nbsp;Group&nbsp;PLC" },
  { 0x00802D, "Xylogics,&nbsp;Inc.&nbsp;Annex&nbsp;terminal&nbsp;servers" },
  { 0x00802E, "Plexcom,&nbsp;Inc." },
  { 0x008033, "Formation&nbsp;(?)" },
  { 0x008034, "SMT-Goupil" },
  { 0x008035, "Technology&nbsp;Works" },
  { 0x008037, "Ericsson&nbsp;Business&nbsp;Comm." },
  { 0x008038, "Data&nbsp;Research&nbsp;&&nbsp;Applications" },
  { 0x00803B, "APT&nbsp;Communications,&nbsp;Inc." },
  { 0x00803D, "Surigiken&nbsp;Co&nbsp;Ltd" },
  { 0x00803E, "Synernetics" },
  { 0x00803F, "Hyundai&nbsp;Electronics" },
  { 0x008042, "Force&nbsp;Computers" },
  { 0x008043, "Networld&nbsp;Inc" },
  { 0x008045, "Matsushita&nbsp;Electric&nbsp;Ind&nbsp;Co" },
  { 0x008046, "University&nbsp;of&nbsp;Toronto" },
  { 0x008048, "Compex,&nbsp;used&nbsp;by&nbsp;Commodore&nbsp;and&nbsp;DEC&nbsp;at&nbsp;least" },
  { 0x008049, "Nissin&nbsp;Electric&nbsp;Co&nbsp;Ltd" },
  { 0x00804C, "Contec&nbsp;Co.,&nbsp;Ltd." },
  { 0x00804D, "Cyclone&nbsp;Microsystems,&nbsp;Inc." },
  { 0x008051, "ADC&nbsp;Fibermux" },
  { 0x008052, "Network&nbsp;Professor" },
  { 0x008057, "Adsoft&nbsp;Ltd" },
  { 0x00805A, "Tulip&nbsp;Computers&nbsp;International&nbsp;BV" },
  { 0x00805B, "Condor&nbsp;Systems,&nbsp;Inc." },
  { 0x00805C, "Agilis(?)" },
  { 0x00805F, "Compaq&nbsp;Computer&nbsp;Corporation" },
  { 0x008060, "Network&nbsp;Interface&nbsp;Corporation" },
  { 0x008062, "Interface&nbsp;Co." },
  { 0x008063, "Richard&nbsp;Hirschmann&nbsp;Gmbh&nbsp;&&nbsp;Co" },
  { 0x008064, "Wyse" },
  { 0x008067, "Square&nbsp;D&nbsp;Company" },
  { 0x008069, "Computone&nbsp;Systems" },
  { 0x00806A, "ERI&nbsp;(Empac&nbsp;Research&nbsp;Inc.)" },
  { 0x00806B, "Schmid&nbsp;Telecommunication" },
  { 0x00806C, "Cegelec&nbsp;Projects&nbsp;Ltd" },
  { 0x00806D, "Century&nbsp;Systems&nbsp;Corp." },
  { 0x00806E, "Nippon&nbsp;Steel&nbsp;Corporation" },
  { 0x00806F, "Onelan&nbsp;Ltd" },
  { 0x008071, "SAI&nbsp;Technology" },
  { 0x008072, "Microplex&nbsp;Systems&nbsp;Ltd" },
  { 0x008074, "Fisher&nbsp;Controls" },
  { 0x008079, "Microbus&nbsp;Designs&nbsp;Ltd" },
  { 0x00807B, "Artel&nbsp;Communications&nbsp;Corp." },
  { 0x00807C, "FiberCom" },
  { 0x00807D, "Equinox&nbsp;Systems&nbsp;Inc" },
  { 0x008082, "PEP&nbsp;Modular&nbsp;Computers&nbsp;Gmbh" },
  { 0x008086, "Computer&nbsp;Generation&nbsp;Inc." },
  { 0x008087, "Okidata" },
  { 0x00808A, "Summit&nbsp;(?)" },
  { 0x00808B, "Dacoll&nbsp;Limited" },
  { 0x00808C, "Netscout&nbsp;Systems&nbsp;(formerly&nbsp;Frontier&nbsp;Software&nbsp;Development)" },
  { 0x00808D, "Westcove&nbsp;Technology&nbsp;BV" },
  { 0x00808E, "Radstone&nbsp;Technology" },
  { 0x008090, "Microtek&nbsp;International&nbsp;Inc" },
  { 0x008092, "Japan&nbsp;Computer&nbsp;Industry,&nbsp;Inc." },
  { 0x008093, "Xyron&nbsp;Corporation" },
  { 0x008094, "Sattcontrol&nbsp;AB" },
  { 0x008096, "HDS&nbsp;(Human&nbsp;Designed&nbsp;Systems)&nbsp;X&nbsp;terminals" },
  { 0x008098, "TDK&nbsp;Corporation" },
  { 0x00809A, "Novus&nbsp;Networks&nbsp;Ltd" },
  { 0x00809B, "Justsystem&nbsp;Corporation" },
  { 0x00809D, "Datacraft&nbsp;Manufactur'g&nbsp;Pty&nbsp;Ltd" },
  { 0x00809F, "Alcatel&nbsp;Business&nbsp;Systems" },
  { 0x0080A1, "Microtest" },
  { 0x0080A3, "Lantronix,&nbsp;(see&nbsp;also&nbsp;0800A3)" },
  { 0x0080A6, "Republic&nbsp;Technology&nbsp;Inc" },
  { 0x0080A7, "Measurex&nbsp;Corp" },
  { 0x0080AD, "CNet&nbsp;Technology&nbsp;Used&nbsp;by&nbsp;Telebit&nbsp;(among&nbsp;others)" },
  { 0x0080AE, "Hughes&nbsp;Network&nbsp;Systems" },
  { 0x0080AF, "Allumer&nbsp;Co.,&nbsp;Ltd." },
  { 0x0080B1, "Softcom&nbsp;A/S" },
  { 0x0080B2, "NET&nbsp;(Network&nbsp;Equipment&nbsp;Technologies)" },
  { 0x0080B6, "Themis&nbsp;corporation" },
  { 0x0080BA, "Specialix&nbsp;(Asia)&nbsp;Pte&nbsp;Ltd" },
  { 0x0080C0, "Penril&nbsp;Datability&nbsp;Networks" },
  { 0x0080C2, "IEEE&nbsp;802.1&nbsp;Committee" },
  { 0x0080C6, "Soho" },
  { 0x0080C7, "Xircom,&nbsp;Inc." },
  { 0x0080C8, "D-Link,&nbsp;(also&nbsp;Solectek&nbsp;Pocket&nbsp;Adapters,&nbsp;and&nbsp;LinkSys&nbsp;PCMCIA)" },
  { 0x0080C9, "Alberta&nbsp;Microelectronic&nbsp;Centre" },
  { 0x0080CE, "Broadcast&nbsp;Television&nbsp;Systems" },
  { 0x0080D0, "Computer&nbsp;Products&nbsp;International" },
  { 0x0080D3, "Shiva&nbsp;Appletalk-Ethernet&nbsp;interface" },
  { 0x0080D4, "Chase&nbsp;Limited" },
  { 0x0080D6, "Apple&nbsp;Mac&nbsp;Portable(?)" },
  { 0x0080D7, "Fantum&nbsp;Electronics" },
  { 0x0080D8, "Network&nbsp;Peripherals" },
  { 0x0080DA, "Bruel&nbsp;&&nbsp;Kjaer" },
  { 0x0080E0, "XTP&nbsp;Systems&nbsp;Inc" },
  { 0x0080E3, "Coral&nbsp;(?)" },
  { 0x0080E7, "Lynwood&nbsp;Scientific&nbsp;Dev&nbsp;Ltd" },
  { 0x0080EA, "The&nbsp;Fiber&nbsp;Company" },
  { 0x0080F0, "Kyushu&nbsp;Matsushita&nbsp;Electric&nbsp;Co" },
  { 0x0080F1, "Opus" },
  { 0x0080F3, "Sun&nbsp;Electronics&nbsp;Corp" },
  { 0x0080F4, "Telemechanique&nbsp;Electrique" },
  { 0x0080F5, "Quantel&nbsp;Ltd" },
  { 0x0080F7, "Zenith&nbsp;Communications&nbsp;Products" },
  { 0x0080FB, "BVM&nbsp;Limited" },
  { 0x0080FE, "Azure&nbsp;Technologies&nbsp;Inc" },
  { 0x009027, "Intel&nbsp;EtherXpress&nbsp;Pro&nbsp;10/100" },
  { 0x0090B1, "Cisco" },
  { 0x00902B, "Cisco&nbsp;Ethernet&nbsp;Switches&nbsp;and&nbsp;Light&nbsp;Streams" },
  { 0x009086, "Cisco" },
  { 0x009092, "Cisco" },
  { 0x0090AB, "Cisco" },
  { 0x0090F2, "Cisco&nbsp;Ethernet&nbsp;Switches&nbsp;and&nbsp;Light&nbsp;Streams" },
  { 0x00A000, "Bay&nbsp;Networks&nbsp;Ethernet&nbsp;switch" },
  { 0x00A024, "3com" },
  { 0x00A040, "Apple&nbsp;(PCI&nbsp;Mac)" },
  { 0x00A04B, "Sonic&nbsp;Systems&nbsp;Inc.,&nbsp;EtherFE&nbsp;10/100&nbsp;PCI&nbsp;for&nbsp;Mac&nbsp;or&nbsp;PC" },
  { 0x00A073, "Com21" },
  { 0x00A083, "Intel" },
  { 0x00A092, "Intermate&nbsp;International,&nbsp;[LAN&nbsp;printer&nbsp;interfaces]" },
  { 0x00A0AE, "Network&nbsp;Peripherals,&nbsp;Inc." },
  { 0x00A0C9, "Intel&nbsp;(PRO100B&nbsp;and&nbsp;PRO100+)&nbsp;[used&nbsp;on&nbsp;Cisco&nbsp;PIX&nbsp;firewall&nbsp;among&nbsp;others]" },
  { 0x00A0CC, "Lite-On,&nbsp;(used&nbsp;by&nbsp;MacSense&nbsp;in&nbsp;Adapter&nbsp;for&nbsp;Mac,&nbsp;also&nbsp;seen&nbsp;in&nbsp;PCs)" },
  { 0x00A0D1, "National&nbsp;Semiconductor,&nbsp;[COMPAQ&nbsp;Docking&nbsp;Station]" },
  { 0x00A0D2, "Allied&nbsp;Telesyn" },
  { 0x00AA00, "Intel" },
  { 0x00B0D0, "Computer&nbsp;Products&nbsp;International" },
  { 0x00C000, "Lanoptics&nbsp;Ltd" },
  { 0x00C001, "Diatek&nbsp;Patient&nbsp;Managment" },
  { 0x00C002, "Sercomm&nbsp;Corporation" },
  { 0x00C003, "Globalnet&nbsp;Communications" },
  { 0x00C004, "Japan&nbsp;Business&nbsp;Computer&nbsp;Co.Ltd" },
  { 0x00C005, "Livingston&nbsp;Enterprises&nbsp;Inc,&nbsp;Portmaster&nbsp;(OEMed&nbsp;by&nbsp;Cayman)" },
  { 0x00C006, "Nippon&nbsp;Avionics&nbsp;Co&nbsp;Ltd" },
  { 0x00C007, "Pinnacle&nbsp;Data&nbsp;Systems&nbsp;Inc" },
  { 0x00C008, "Seco&nbsp;SRL" },
  { 0x00C009, "KT&nbsp;Technology&nbsp;(s)&nbsp;Pte&nbsp;Inc" },
  { 0x00C00A, "Micro&nbsp;Craft" },
  { 0x00C00B, "Norcontrol&nbsp;A.S." },
  { 0x00C00C, "ARK&nbsp;PC&nbsp;Technology,&nbsp;Inc." },
  { 0x00C00D, "Advanced&nbsp;Logic&nbsp;Research&nbsp;Inc" },
  { 0x00C00E, "Psitech&nbsp;Inc" },
  { 0x00C00F, "QNX&nbsp;Software&nbsp;Systems&nbsp;Ltd.&nbsp;[also&nbsp;Quantum&nbsp;Software&nbsp;Systems&nbsp;Ltd]" },
  { 0x00C011, "Interactive&nbsp;Computing&nbsp;Devices" },
  { 0x00C012, "Netspan&nbsp;Corp" },
  { 0x00C013, "Netrix" },
  { 0x00C014, "Telematics&nbsp;Calabasas" },
  { 0x00C015, "New&nbsp;Media&nbsp;Corp" },
  { 0x00C016, "Electronic&nbsp;Theatre&nbsp;Controls" },
  { 0x00C017, "Fluke" },
  { 0x00C018, "Lanart&nbsp;Corp" },
  { 0x00C01A, "Corometrics&nbsp;Medical&nbsp;Systems" },
  { 0x00C01B, "Socket&nbsp;Communications" },
  { 0x00C01C, "Interlink&nbsp;Communications&nbsp;Ltd." },
  { 0x00C01D, "Grand&nbsp;Junction&nbsp;Networks,&nbsp;Inc." },
  { 0x00C01F, "S.E.R.C.E.L." },
  { 0x00C020, "Arco&nbsp;Electronic,&nbsp;Control&nbsp;Ltd." },
  { 0x00C021, "Netexpress" },
  { 0x00C023, "Tutankhamon&nbsp;Electronics" },
  { 0x00C024, "Eden&nbsp;Sistemas&nbsp;De&nbsp;Computacao&nbsp;SA" },
  { 0x00C025, "Dataproducts&nbsp;Corporation" },
  { 0x00C027, "Cipher&nbsp;Systems,&nbsp;Inc." },
  { 0x00C028, "Jasco&nbsp;Corporation" },
  { 0x00C029, "Kabel&nbsp;Rheydt&nbsp;AG" },
  { 0x00C02A, "Ohkura&nbsp;Electric&nbsp;Co" },
  { 0x00C02B, "Gerloff&nbsp;Gesellschaft&nbsp;Fur" },
  { 0x00C02C, "Centrum&nbsp;Communications,&nbsp;Inc." },
  { 0x00C02D, "Fuji&nbsp;Photo&nbsp;Film&nbsp;Co.,&nbsp;Ltd." },
  { 0x00C02E, "Netwiz" },
  { 0x00C02F, "Okuma&nbsp;Corp" },
  { 0x00C030, "Integrated&nbsp;Engineering&nbsp;B.&nbsp;V." },
  { 0x00C031, "Design&nbsp;Research&nbsp;Systems,&nbsp;Inc." },
  { 0x00C032, "I-Cubed&nbsp;Limited" },
  { 0x00C033, "Telebit&nbsp;Corporation" },
  { 0x00C034, "Dale&nbsp;Computer&nbsp;Corporation" },
  { 0x00C035, "Quintar&nbsp;Company" },
  { 0x00C036, "Raytech&nbsp;Electronic&nbsp;Corp" },
  { 0x00C039, "Silicon&nbsp;Systems" },
  { 0x00C03B, "Multiaccess&nbsp;Computing&nbsp;Corp" },
  { 0x00C03C, "Tower&nbsp;Tech&nbsp;S.R.L." },
  { 0x00C03D, "Wiesemann&nbsp;&&nbsp;Theis&nbsp;Gmbh" },
  { 0x00C03E, "Fa.&nbsp;Gebr.&nbsp;Heller&nbsp;Gmbh" },
  { 0x00C03F, "Stores&nbsp;Automated&nbsp;Systems&nbsp;Inc" },
  { 0x00C040, "ECCI" },
  { 0x00C041, "Digital&nbsp;Transmission&nbsp;Systems" },
  { 0x00C042, "Datalux&nbsp;Corp." },
  { 0x00C043, "Stratacom" },
  { 0x00C044, "Emcom&nbsp;Corporation" },
  { 0x00C045, "Isolation&nbsp;Systems&nbsp;Inc" },
  { 0x00C046, "Kemitron&nbsp;Ltd" },
  { 0x00C047, "Unimicro&nbsp;Systems&nbsp;Inc" },
  { 0x00C048, "Bay&nbsp;Technical&nbsp;Associates" },
  { 0x00C049, "US&nbsp;Robotics&nbsp;Total&nbsp;Control&nbsp;(tm)&nbsp;NETServer&nbsp;Card" },
  { 0x00C04D, "Mitec&nbsp;Ltd" },
  { 0x00C04E, "Comtrol&nbsp;Corporation" },
  { 0x00C04F, "Dell" },
  { 0x00C050, "Toyo&nbsp;Denki&nbsp;Seizo&nbsp;K.K." },
  { 0x00C051, "Advanced&nbsp;Integration&nbsp;Research" },
  { 0x00C055, "Modular&nbsp;Computing&nbsp;Technologies" },
  { 0x00C056, "Somelec" },
  { 0x00C057, "Myco&nbsp;Electronics" },
  { 0x00C058, "Dataexpert&nbsp;Corp" },
  { 0x00C059, "Nippondenso&nbsp;Corp" },
  { 0x00C05B, "Networks&nbsp;Northwest&nbsp;Inc" },
  { 0x00C05C, "Elonex&nbsp;PLC" },
  { 0x00C05D, "L&N&nbsp;Technologies" },
  { 0x00C05E, "Vari-Lite&nbsp;Inc" },
  { 0x00C060, "ID&nbsp;Scandinavia&nbsp;A/S" },
  { 0x00C061, "Solectek&nbsp;Corporation" },
  { 0x00C063, "Morning&nbsp;Star&nbsp;Technologies&nbsp;Inc,&nbsp;May&nbsp;be&nbsp;miswrite&nbsp;of&nbsp;0003C6" },
  { 0x00C064, "General&nbsp;Datacomm&nbsp;Ind&nbsp;Inc" },
  { 0x00C065, "Scope&nbsp;Communications&nbsp;Inc" },
  { 0x00C066, "Docupoint,&nbsp;Inc." },
  { 0x00C067, "United&nbsp;Barcode&nbsp;Industries" },
  { 0x00C068, "Philp&nbsp;Drake&nbsp;Electronics&nbsp;Ltd" },
  { 0x00C069, "California&nbsp;Microwave&nbsp;Inc" },
  { 0x00C06A, "Zahner-Elektrik&nbsp;Gmbh&nbsp;&&nbsp;Co&nbsp;KG" },
  { 0x00C06B, "OSI&nbsp;Plus&nbsp;Corporation" },
  { 0x00C06C, "SVEC&nbsp;Computer&nbsp;Corp" },
  { 0x00C06D, "Boca&nbsp;Research,&nbsp;Inc." },
  { 0x00C06F, "Komatsu&nbsp;Ltd" },
  { 0x00C070, "Sectra&nbsp;Secure-Transmission&nbsp;AB" },
  { 0x00C071, "Areanex&nbsp;Communications,&nbsp;Inc." },
  { 0x00C072, "KNX&nbsp;Ltd" },
  { 0x00C073, "Xedia&nbsp;Corporation" },
  { 0x00C074, "Toyoda&nbsp;Automatic&nbsp;Loom&nbsp;Works&nbsp;Ltd" },
  { 0x00C075, "Xante&nbsp;Corporation" },
  { 0x00C076, "I-Data&nbsp;International&nbsp;A-S" },
  { 0x00C077, "Daewoo&nbsp;Telecom&nbsp;Ltd" },
  { 0x00C078, "Computer&nbsp;Systems&nbsp;Engineering" },
  { 0x00C079, "Fonsys&nbsp;Co&nbsp;Ltd" },
  { 0x00C07A, "Priva&nbsp;BV" },
  { 0x00C07B, "Ascend&nbsp;Communications,&nbsp;ISDN&nbsp;bridges/routers" },
  { 0x00C07D, "RISC&nbsp;Developments&nbsp;Ltd" },
  { 0x00C07F, "Nupon&nbsp;Computing&nbsp;Corp" },
  { 0x00C080, "Netstar&nbsp;Inc" },
  { 0x00C081, "Metrodata&nbsp;Ltd" },
  { 0x00C082, "Moore&nbsp;Products&nbsp;Co" },
  { 0x00C084, "Data&nbsp;Link&nbsp;Corp&nbsp;Ltd" },
  { 0x00C085, "Canon" },
  { 0x00C086, "The&nbsp;Lynk&nbsp;Corporation" },
  { 0x00C087, "UUNET&nbsp;Technologies&nbsp;Inc" },
  { 0x00C089, "Telindus&nbsp;Distribution" },
  { 0x00C08A, "Lauterbach&nbsp;Datentechnik&nbsp;Gmbh" },
  { 0x00C08B, "RISQ&nbsp;Modular&nbsp;Systems&nbsp;Inc" },
  { 0x00C08C, "Performance&nbsp;Technologies&nbsp;Inc" },
  { 0x00C08D, "Tronix&nbsp;Product&nbsp;Development" },
  { 0x00C08E, "Network&nbsp;Information&nbsp;Technology" },
  { 0x00C08F, "Matsushita&nbsp;Electric&nbsp;Works,&nbsp;Ltd." },
  { 0x00C090, "Praim&nbsp;S.R.L." },
  { 0x00C091, "Jabil&nbsp;Circuit,&nbsp;Inc." },
  { 0x00C092, "Mennen&nbsp;Medical&nbsp;Inc" },
  { 0x00C093, "Alta&nbsp;Research&nbsp;Corp." },
  { 0x00C095, "Znyx&nbsp;(Network&nbsp;Appliance&nbsp;box);&nbsp;Jupiter&nbsp;Systems&nbsp;(MX-700&nbsp;series)" },
  { 0x00C096, "Tamura&nbsp;Corporation" },
  { 0x00C097, "Archipel&nbsp;SA" },
  { 0x00C098, "Chuntex&nbsp;Electronic&nbsp;Co.,&nbsp;Ltd." },
  { 0x00C09B, "Reliance&nbsp;Comm/Tec,&nbsp;R-Tec&nbsp;Systems&nbsp;Inc" },
  { 0x00C09C, "TOA&nbsp;Electronic&nbsp;Ltd" },
  { 0x00C09D, "Distributed&nbsp;Systems&nbsp;Int'l,&nbsp;Inc." },
  { 0x00C09F, "Quanta&nbsp;Computer&nbsp;Inc" },
  { 0x00C0A0, "Advance&nbsp;Micro&nbsp;Research,&nbsp;Inc." },
  { 0x00C0A1, "Tokyo&nbsp;Denshi&nbsp;Sekei&nbsp;Co" },
  { 0x00C0A2, "Intermedium&nbsp;A/S" },
  { 0x00C0A3, "Dual&nbsp;Enterprises&nbsp;Corporation" },
  { 0x00C0A4, "Unigraf&nbsp;OY" },
  { 0x00C0A7, "SEEL&nbsp;Ltd" },
  { 0x00C0A8, "GVC&nbsp;Corporation" },
  { 0x00C0A9, "Barron&nbsp;McCann&nbsp;Ltd" },
  { 0x00C0AA, "Silicon&nbsp;Valley&nbsp;Computer" },
  { 0x00C0AB, "Jupiter&nbsp;Technology&nbsp;Inc" },
  { 0x00C0AC, "Gambit&nbsp;Computer&nbsp;Communications" },
  { 0x00C0AD, "Computer&nbsp;Communication&nbsp;Systems" },
  { 0x00C0AE, "Towercom&nbsp;Co&nbsp;Inc&nbsp;DBA&nbsp;PC&nbsp;House" },
  { 0x00C0B0, "GCC&nbsp;Technologies,Inc." },
  { 0x00C0B2, "Norand&nbsp;Corporation" },
  { 0x00C0B3, "Comstat&nbsp;Datacomm&nbsp;Corporation" },
  { 0x00C0B4, "Myson&nbsp;Technology&nbsp;Inc" },
  { 0x00C0B5, "Corporate&nbsp;Network&nbsp;Systems&nbsp;Inc" },
  { 0x00C0B6, "Meridian&nbsp;Data&nbsp;Inc" },
  { 0x00C0B7, "American&nbsp;Power&nbsp;Conversion&nbsp;Corp" },
  { 0x00C0B8, "Fraser's&nbsp;Hill&nbsp;Ltd." },
  { 0x00C0B9, "Funk&nbsp;Software&nbsp;Inc" },
  { 0x00C0BA, "Netvantage" },
  { 0x00C0BB, "Forval&nbsp;Creative&nbsp;Inc" },
  { 0x00C0BD, "Inex&nbsp;Technologies,&nbsp;Inc." },
  { 0x00C0BE, "Alcatel&nbsp;-&nbsp;Sel" },
  { 0x00C0BF, "Technology&nbsp;Concepts&nbsp;Ltd" },
  { 0x00C0C0, "Shore&nbsp;Microsystems&nbsp;Inc" },
  { 0x00C0C1, "Quad/Graphics&nbsp;Inc" },
  { 0x00C0C2, "Infinite&nbsp;Networks&nbsp;Ltd." },
  { 0x00C0C3, "Acuson&nbsp;Computed&nbsp;Sonography" },
  { 0x00C0C4, "Computer&nbsp;Operational" },
  { 0x00C0C5, "SID&nbsp;Informatica" },
  { 0x00C0C6, "Personal&nbsp;Media&nbsp;Corp" },
  { 0x00C0C8, "Micro&nbsp;Byte&nbsp;Pty&nbsp;Ltd" },
  { 0x00C0C9, "Bailey&nbsp;Controls&nbsp;Co" },
  { 0x00C0CA, "Alfa,&nbsp;Inc." },
  { 0x00C0CB, "Control&nbsp;Technology&nbsp;Corporation" },
  { 0x00C0CD, "Comelta&nbsp;S.A." },
  { 0x00C0D0, "Ratoc&nbsp;System&nbsp;Inc" },
  { 0x00C0D1, "Comtree&nbsp;Technology&nbsp;Corporation&nbsp;(EFA&nbsp;also&nbsp;reported)" },
  { 0x00C0D2, "Syntellect&nbsp;Inc" },
  { 0x00C0D4, "Axon&nbsp;Networks&nbsp;Inc" },
  { 0x00C0D5, "Quancom&nbsp;Electronic&nbsp;Gmbh" },
  { 0x00C0D6, "J1&nbsp;Systems,&nbsp;Inc." },
  { 0x00C0D9, "Quinte&nbsp;Network&nbsp;Confidentiality&nbsp;Equipment&nbsp;Inc" },
  { 0x00C0DB, "IPC&nbsp;Corporation&nbsp;(Pte)&nbsp;Ltd" },
  { 0x00C0DC, "EOS&nbsp;Technologies,&nbsp;Inc." },
  { 0x00C0DE, "ZComm&nbsp;Inc" },
  { 0x00C0DF, "Kye&nbsp;Systems&nbsp;Corp" },
  { 0x00C0E1, "Sonic&nbsp;Solutions" },
  { 0x00C0E2, "Calcomp,&nbsp;Inc." },
  { 0x00C0E3, "Ositech&nbsp;Communications&nbsp;Inc" },
  { 0x00C0E4, "Landis&nbsp;&&nbsp;Gyr&nbsp;Powers&nbsp;Inc" },
  { 0x00C0E5, "GESPAC&nbsp;S.A." },
  { 0x00C0E6, "TXPORT" },
  { 0x00C0E7, "Fiberdata&nbsp;AB" },
  { 0x00C0E8, "Plexcom&nbsp;Inc" },
  { 0x00C0E9, "Oak&nbsp;Solutions&nbsp;Ltd" },
  { 0x00C0EA, "Array&nbsp;Technology&nbsp;Ltd." },
  { 0x00C0EC, "Dauphin&nbsp;Technology" },
  { 0x00C0ED, "US&nbsp;Army&nbsp;Electronic&nbsp;Proving&nbsp;Ground" },
  { 0x00C0EE, "Kyocera&nbsp;Corporation" },
  { 0x00C0EF, "Abit&nbsp;Corporation" },
  { 0x00C0F0, "Kingston&nbsp;Technology&nbsp;Corporation" },
  { 0x00C0F1, "Shinko&nbsp;Electric&nbsp;Co&nbsp;Ltd" },
  { 0x00C0F2, "Transition&nbsp;Engineering&nbsp;Inc" },
  { 0x00C0F3, "Network&nbsp;Communications&nbsp;Corp" },
  { 0x00C0F4, "Interlink&nbsp;System&nbsp;Co.,&nbsp;Ltd." },
  { 0x00C0F5, "Metacomp&nbsp;Inc" },
  { 0x00C0F6, "Celan&nbsp;Technology&nbsp;Inc." },
  { 0x00C0F7, "Engage&nbsp;Communication,&nbsp;Inc." },
  { 0x00C0F8, "About&nbsp;Computing&nbsp;Inc." },
  { 0x00C0FA, "Canary&nbsp;Communications&nbsp;Inc" },
  { 0x00C0FB, "Advanced&nbsp;Technology&nbsp;Labs" },
  { 0x00C0FC, "ASDG&nbsp;Incorporated" },
  { 0x00C0FD, "Prosum" },
  { 0x00C0FF, "Box&nbsp;Hill&nbsp;Systems&nbsp;Corporation" },
  { 0x00DD00, "Ungermann-Bass&nbsp;IBM&nbsp;RT" },
  { 0x00DD01, "Ungermann-Bass" },
  { 0x00DD08, "Ungermann-Bass" },
  { 0x00E011, "Uniden&nbsp;Corporation" },
  { 0x00E014, "Cisco" },
  { 0x00E016, "rapid-city&nbsp;(now&nbsp;a&nbsp;part&nbsp;of&nbsp;bay&nbsp;networks)" },
  { 0x00E01E, "Cisco&nbsp;Lightstream&nbsp;1010,&nbsp;36xx&nbsp;router" },
  { 0x00E029, "SMC&nbsp;EtherPower&nbsp;II&nbsp;10/100" },
  { 0x00E02C, "AST&nbsp;-&nbsp;built&nbsp;into&nbsp;5166M&nbsp;PC&nbsp;motherboard&nbsp;(win95&nbsp;id's&nbsp;as&nbsp;Intel)" },
  { 0x00E034, "Cisco" },
  { 0x00E039, "Paradyne&nbsp;7112&nbsp;T1&nbsp;DSU/CSU" },
  { 0x00E04F, "Cisco" },
  { 0x00E07D, "Encore&nbsp;(Netronix?),&nbsp;10/100&nbsp;PCI&nbsp;Fast&nbsp;ethernet&nbsp;card" },
  { 0x00E081, "Tyan&nbsp;Computer&nbsp;Corp.,&nbsp;Onboard&nbsp;Intel&nbsp;82558&nbsp;10/100" },
  { 0x00E083, "Jato&nbsp;Technologies,&nbsp;Inc." },
  { 0x00E08F, "Cisco&nbsp;Systems&nbsp;Catalyst&nbsp;2900&nbsp;series" },
  { 0x00E098, "Linksys&nbsp;PCMCIA&nbsp;card" },
  { 0x00E0A3, "Cisco&nbsp;Systems&nbsp;Catalyst&nbsp;1924" },
  { 0x00E0B0, "Cisco&nbsp;Systems&nbsp;Various&nbsp;systems&nbsp;reported" },
  { 0x00E0B8, "AMD&nbsp;PCNet&nbsp;in&nbsp;a&nbsp;Gateway&nbsp;2000" },
  { 0x00E0C5, "BCOM&nbsp;Electronics&nbsp;Inc." },
  { 0x00E0F7, "Cisco" },
  { 0x00E0F9, "Cisco" },
  { 0x00E0FE, "Cisco" },
  { 0x020406, "BBN&nbsp;internal&nbsp;usage&nbsp;(not&nbsp;registered)" },
  { 0x020701, "Interlan&nbsp;[now&nbsp;Racal-InterLAN]&nbsp;DEC&nbsp;(UNIBUS&nbsp;or&nbsp;QBUS),&nbsp;Apollo,&nbsp;Cisco" },
  { 0x020701, "Racal-Datacom" },
  { 0x026060, "3Com" },
  { 0x026086, "Satelcom&nbsp;MegaPac&nbsp;(UK)" },
  { 0x02608C, "3Com&nbsp;IBM&nbsp;PC;&nbsp;Imagen;&nbsp;Valid;&nbsp;Cisco;&nbsp;Macintosh" },
  { 0x02A0C9, "Intel" },
  { 0x02AA3C, "Olivetti" },
  { 0x02CF1F, "CMC&nbsp;Masscomp;&nbsp;Silicon&nbsp;Graphics;&nbsp;Prime&nbsp;EXL" },
  { 0x02E03B, "Prominet&nbsp;Corporation,&nbsp;Gigabit&nbsp;Ethernet&nbsp;Switch" },
  { 0x02E6D3, "BTI&nbsp;(Bus-Tech,&nbsp;Inc.),&nbsp;IBM&nbsp;Mainframes" },
  { 0x048845, "Bay&nbsp;Networks&nbsp;token&nbsp;ring&nbsp;line&nbsp;card" },
  { 0x080001, "Computer&nbsp;Vision" },
  { 0x080002, "3Com&nbsp;(formerly&nbsp;Bridge)" },
  { 0x080003, "ACC&nbsp;(Advanced&nbsp;Computer&nbsp;Communications)" },
  { 0x080005, "Symbolics&nbsp;Symbolics&nbsp;LISP&nbsp;machines" },
  { 0x080006, "Siemens&nbsp;Nixdorf&nbsp;PC&nbsp;clone" },
  { 0x080007, "Apple" },
  { 0x080008, "BBN&nbsp;(Bolt&nbsp;Beranek&nbsp;and&nbsp;Newman,&nbsp;Inc.)" },
  { 0x080009, "Hewlett-Packard" },
  { 0x08000A, "Nestar&nbsp;Systems" },
  { 0x08000B, "Unisys&nbsp;also&nbsp;Ascom-Timeplex&nbsp;(former&nbsp;Unisys&nbsp;subsidiary)" },
  { 0x08000D, "ICL&nbsp;(International&nbsp;Computers,&nbsp;Ltd.)" },
  { 0x08000E, "NCR/AT&T" },
  { 0x08000F, "SMC&nbsp;(Standard&nbsp;Microsystems&nbsp;Corp.)" },
  { 0x080010, "AT&T&nbsp;[misrepresentation&nbsp;of&nbsp;800010?]" },
  { 0x080011, "Tektronix,&nbsp;Inc." },
  { 0x080014, "Excelan&nbsp;BBN&nbsp;Butterfly,&nbsp;Masscomp,&nbsp;Silicon&nbsp;Graphics" },
  { 0x080017, "National&nbsp;Semiconductor&nbsp;Corp.&nbsp;(used&nbsp;to&nbsp;have&nbsp;Network&nbsp;System&nbsp;Corp.,&nbsp;wrong&nbsp;NSC)" },
  { 0x08001A, "Tiara?&nbsp;(used&nbsp;to&nbsp;have&nbsp;Data&nbsp;General)" },
  { 0x08001B, "Data&nbsp;General" },
  { 0x08001E, "Apollo" },
  { 0x08001F, "Sharp" },
  { 0x080020, "Sun" },
  { 0x080022, "NBI&nbsp;(Nothing&nbsp;But&nbsp;Initials)" },
  { 0x080023, "Matsushita&nbsp;Denso" },
  { 0x080025, "CDC" },
  { 0x080026, "Norsk&nbsp;Data&nbsp;(Nord)" },
  { 0x080027, "PCS&nbsp;Computer&nbsp;Systems&nbsp;GmbH" },
  { 0x080028, "TI&nbsp;Explorer" },
  { 0x08002B, "DEC" },
  { 0x08002E, "Metaphor" },
  { 0x08002F, "Prime&nbsp;Computer&nbsp;Prime&nbsp;50-Series&nbsp;LHC300" },
  { 0x080030, "CERN" },
  { 0x080032, "Tigan" },
  { 0x080036, "Intergraph&nbsp;CAE&nbsp;stations" },
  { 0x080037, "Fuji&nbsp;Xerox" },
  { 0x080038, "Bull" },
  { 0x080039, "Spider&nbsp;Systems" },
  { 0x08003B, "Torus&nbsp;Systems" },
  { 0x08003D, "cadnetix" },
  { 0x08003E, "Motorola&nbsp;VME&nbsp;bus&nbsp;processor&nbsp;modules" },
  { 0x080041, "DCA&nbsp;(Digital&nbsp;Comm.&nbsp;Assoc.)" },
  { 0x080044, "DSI&nbsp;(DAVID&nbsp;Systems,&nbsp;Inc.)" },
  { 0x080045, "????&nbsp;(maybe&nbsp;Xylogics,&nbsp;but&nbsp;they&nbsp;claim&nbsp;not&nbsp;to&nbsp;know&nbsp;this&nbsp;number)" },
  { 0x080046, "Sony" },
  { 0x080047, "Sequent" },
  { 0x080048, "Eurotherm&nbsp;Gauging&nbsp;Systems" },
  { 0x080049, "Univation" },
  { 0x08004C, "Encore" },
  { 0x08004E, "BICC&nbsp;[3com&nbsp;bought&nbsp;BICC,&nbsp;so&nbsp;may&nbsp;appear&nbsp;on&nbsp;3com&nbsp;equipment&nbsp;as&nbsp;well]" },
  { 0x080051, "Experdata" },
  { 0x080056, "Stanford&nbsp;University" },
  { 0x080057, "Evans&nbsp;&&nbsp;Sutherland&nbsp;(?)" },
  { 0x080058, "???&nbsp;DECsystem-20" },
  { 0x08005A, "IBM" },
  { 0x080066, "AGFA&nbsp;printers,&nbsp;phototypesetters&nbsp;etc." },
  { 0x080067, "Comdesign" },
  { 0x080068, "Ridge" },
  { 0x080069, "Silicon&nbsp;Graphics" },
  { 0x08006A, "ATTst&nbsp;(?)" },
  { 0x08006E, "Excelan" },
  { 0x080070, "Mitsubishi" },
  { 0x080074, "Casio" },
  { 0x080075, "DDE&nbsp;(Danish&nbsp;Data&nbsp;Elektronik&nbsp;A/S)" },
  { 0x080077, "TSL&nbsp;(now&nbsp;Retix)" },
  { 0x080079, "Silicon&nbsp;Graphics" },
  { 0x08007C, "Vitalink&nbsp;TransLAN&nbsp;III" },
  { 0x080080, "XIOS" },
  { 0x080081, "Crosfield&nbsp;Electronics" },
  { 0x080083, "Seiko&nbsp;Denshi" },
  { 0x080086, "Imagen/QMS" },
  { 0x080087, "Xyplex&nbsp;terminal&nbsp;servers" },
  { 0x080088, "McDATA&nbsp;Corporation" },
  { 0x080089, "Kinetics&nbsp;AppleTalk-Ethernet&nbsp;interface" },
  { 0x08008B, "Pyramid" },
  { 0x08008D, "XyVision&nbsp;XyVision&nbsp;machines" },
  { 0x08008E, "Tandem&nbsp;/&nbsp;Solbourne&nbsp;Computer&nbsp;?" },
  { 0x08008F, "Chipcom&nbsp;Corp." },
  { 0x080090, "Retix,&nbsp;Inc.&nbsp;Bridges" },
  { 0x09006A, "AT&T" },
  { 0x10005A, "IBM" },
  { 0x100090, "Hewlett-Packard&nbsp;Advisor&nbsp;products" },
  { 0x1000D4, "DEC" },
  { 0x1000E0, "Apple&nbsp;A/UX&nbsp;(modified&nbsp;addresses&nbsp;for&nbsp;licensing)" },
  { 0x2E2E2E, "LAA&nbsp;(Locally&nbsp;Administered&nbsp;Address)&nbsp;for&nbsp;Meditech&nbsp;Systems" },
  { 0x3C0000, "3Com&nbsp;dual&nbsp;function&nbsp;(V.34&nbsp;modem&nbsp;+&nbsp;Ethernet)&nbsp;card" },
  { 0x400003, "Net&nbsp;Ware&nbsp;(?)" },
  { 0x444553, "Microsoft&nbsp;(Windows95&nbsp;internal&nbsp;adapters)" },
  { 0x444649, "DFI&nbsp;(Diamond&nbsp;Flower&nbsp;Industries)" },
  { 0x475443, "GTC&nbsp;(Not&nbsp;registered!),&nbsp;(This&nbsp;number&nbsp;is&nbsp;a&nbsp;multicast!)" },
  { 0x484453, "HDS&nbsp;???" },
  { 0x484C00, "Network&nbsp;Solutions" },
  { 0x4854E8, "winbond?" },
  { 0x4C424C, "Information&nbsp;Modes&nbsp;software&nbsp;modified&nbsp;addresses&nbsp;(not&nbsp;registered?)" },
  { 0x525400, "UpTech?" },
  { 0x52544C, "Novell&nbsp;2000" },
  { 0x5254AB, "REALTEK&nbsp;(a&nbsp;Realtek&nbsp;8029&nbsp;based&nbsp;PCI&nbsp;Card)" },
  { 0x565857, "Aculab&nbsp;plc&nbsp;audio&nbsp;bridges" },
  { 0x800010, "AT&T&nbsp;[misrepresented&nbsp;as&nbsp;080010?&nbsp;One&nbsp;source&nbsp;claims&nbsp;this&nbsp;is&nbsp;correct]" },
  { 0x80AD00, "CNET&nbsp;Technology&nbsp;Inc.&nbsp;(Probably&nbsp;an&nbsp;error,&nbsp;see&nbsp;instead&nbsp;0080AD)" },
  { 0xAA0000, "DEC&nbsp;obsolete" },
  { 0xAA0001, "DEC&nbsp;obsolete" },
  { 0xAA0002, "DEC&nbsp;obsolete" },
  { 0xAA0003, "DEC&nbsp;Global&nbsp;physical&nbsp;address&nbsp;for&nbsp;some&nbsp;DEC&nbsp;machines" },
  { 0xAA0004, "DEC&nbsp;Local&nbsp;logical&nbsp;address&nbsp;for&nbsp;DECNET&nbsp;systems" },
  { 0xC00000, "Western&nbsp;Digital&nbsp;(may&nbsp;be&nbsp;reversed&nbsp;00&nbsp;00&nbsp;C0?)" },
  { 0xEC1000, "Enance&nbsp;Source&nbsp;Co.,&nbsp;Ltd.,&nbsp;PC&nbsp;clones(?)" },
  { 0xFFFFFF, "IP&nbsp;Broadcast" },
  { 0x0, NULL }
};  

VendorInfo* vendorHash[HASHNAMESIZE];

/* *********************************** */

static void addVendorTableEntry(VendorInfo* entry) {
  u_int idx;

  idx = (u_int)(entry->vendorId % HASHNAMESIZE);

#ifdef DEBUG
  printf("%d %x '%s'\n", idx,
	 entry->vendorId,
	 entry->vendorName);
#endif

  for(;;) {
    if(vendorHash[idx] == NULL) {      
      vendorHash[idx] = entry;
      break;
    }    
    idx = (idx+1)%HASHNAMESIZE;
  }
}

/* *********************************** */

char* getVendorInfo(u_char* ethAddress) {
  u_int idx;
  unsigned long vendorValue;
  VendorInfo* cursor;

  vendorValue = 256*256*(unsigned long)ethAddress[0] 
    + 256*(unsigned long)ethAddress[1] 
    + (unsigned long)ethAddress[2];
  idx = (u_int)((u_int)vendorValue % HASHNAMESIZE);

#ifdef DEBUG
  printf("%d %ld\n", idx, vendorValue);
#endif

  for(;;) {
    cursor = vendorHash[idx];
    
    if(vendorHash[idx] == NULL) {
      /* Unknown vendor */
      return("");
    } else if(vendorHash[idx] != NULL) {
      if(vendorHash[idx]->vendorId == vendorValue)
	return(vendorHash[idx]->vendorName);
    }

    idx = (idx+1)%HASHNAMESIZE;
  }
}

/* *********************************** */

void createVendorTable() 
{
  int idx;

  for(idx=0; vendorInfo[idx].vendorId != 0x0; idx++)
    addVendorTableEntry(&vendorInfo[idx]);
}

